Bug 304511 - X11 crashes if run with KDE or GNOME
X11 crashes if run with KDE or GNOME
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 03:10 EDT by Krzysio (Chris) Leszczynski
Modified: 2008-06-16 22:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Last Xorg log. At the end there is a crash backtrack (61.15 KB, text/plain)
2007-09-25 03:10 EDT, Krzysio (Chris) Leszczynski
no flags Details
An strace of X (77.93 KB, application/x-bzip2)
2007-09-25 11:11 EDT, Krzysio (Chris) Leszczynski
no flags Details
An strace of X (77.93 KB, application/x-bzip2)
2007-09-25 11:13 EDT, Krzysio (Chris) Leszczynski
no flags Details

  None (edit)
Description Krzysio (Chris) Leszczynski 2007-09-25 03:10:41 EDT
Description of problem:
Yesterday I did yum upgrade, rebooted the machine and X crashed immediately
after I logged in to my gdm and started KDE session. I saw KDE initializing and
then the blank screen. I switched to GNOME, same effect. Now, I'm using
WindowMaker to enter this bug 

Version-Release number of selected component (if applicable):
Latest as of this bug entry. yum upgrade says there's nothing to do.
I use the following repos: adobe-linux-i386, atrpms, fedora, fedora-updates,
jpackage
xorg-x11-drv-i810-2.0.0-4.fc7
xorg-x11-server-Xorg-1.3.0.0-9.fc7
kdebase-3.5.7-13.fc7

How reproducible:
Always

Steps to Reproduce:
1. Try to log to any KDE or GNOME session

Actual results:
X crashes after 2-3 seconds

Additional info:
This appears in Xorg.0.log:
Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80c2d21]
1: [0x110420]
2: /usr/bin/Xorg(ProcGetPointerControl+0x56) [0x807fdb6]
3: /usr/bin/Xorg [0x81523c1]
4: /usr/bin/Xorg(Dispatch+0x1aa) [0x80899fa]
5: /usr/bin/Xorg(main+0x495) [0x8071735]
6: /lib/libc.so.6(__libc_start_main+0xe0) [0xae7f70]
7: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x8070a21]
Comment 1 Krzysio (Chris) Leszczynski 2007-09-25 03:10:41 EDT
Created attachment 204871 [details]
Last Xorg log. At the end there is a crash backtrack
Comment 2 Krzysio (Chris) Leszczynski 2007-09-25 11:11:06 EDT
Created attachment 205591 [details]
An strace of X

I made an strace dump.
Comment 3 Krzysio (Chris) Leszczynski 2007-09-25 11:13:47 EDT
Created attachment 205601 [details]
An strace of X

I made an strace dump.
    strace -f -o /tmp/x.strace X &
    env DISPLAY=:0.0 startkde
(while doing this I had to do killall -CONT X several times because strace
tends to send STOP to X while tracing)

There's a trace of SIGSEV at line 24106 of x.strace
Comment 4 Bug Zapper 2008-05-14 10:29:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:28:49 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.